Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.util
Class Base64

    java.lang.Object
      org.apache.xmlbeans.impl.util.Base64

    public final class Base64

extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996 Available at: http://www.ietf.org/rfc/rfc2045.txt This class is used by XML Schema binary format validation This implementation does not encode/decode streaming data. You need the data that you will encode/decode already on a byte arrray.

Version:
  $Id: Base64.java 111285 2004-12-08 16:54:26Z cezar $
Author:
  Jeffrey Rodriguez, Sandy Gao

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(byte[] base64Data)` Decodes Base64 data into octects
`static byte[]` | `encode(byte[] binaryData)` Encodes hex octects into Base64
`protected static boolean` | `isBase64(byte octect)`
`protected static boolean` | `isData(byte octect)`
`protected static boolean` | `isPad(byte octect)`
`protected static boolean` | `isWhiteSpace(byte octect)`
`protected static byte[]` | `removeWhiteSpace(byte[] data)` remove WhiteSpace from MIME containing encoded Base64 data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### isWhiteSpace

    protected static boolean isWhiteSpace(byte octect)

### isPad

    protected static boolean isPad(byte octect)

### isData

    protected static boolean isData(byte octect)

### isBase64

    protected static boolean isBase64(byte octect)

### encode

    public static byte[] encode(byte[] binaryData)

  Encodes hex octects into Base64

  Parameters:
    `binaryData` - Array containing binaryData
  Returns:
    Encoded Base64 array

### decode

    public static byte[] decode(byte[] base64Data)

  Decodes Base64 data into octects

  Parameters:
    `base64Data` - Byte array containing Base64 data
  Returns:
    Array containind decoded data.

### removeWhiteSpace

    protected static byte[] removeWhiteSpace(byte[] data)

  remove WhiteSpace from MIME containing encoded Base64 data.

  Parameters:
    `data` - the byte array of base64 data (with WS)
  Returns:
    the byte array of base64 data (without WS)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD